Subject: bug#16333: 24.3.50; Info manuals: link defined terms to their glossary entries

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Oct 2021 07:02:47 -0700

Drew Adams <[email-masked]> writes:

>> > Actually, I've done this now.  I added it to info+.el.
>> > (It could of course be added to vanilla Emacs also.)
>>
>> Could you prepare a patch?
>
> I won't prepare a patch till you've tried the
> enhancement and decided that you want it.
>
> Been bit too many times by wasting time preparing
> patches that don't get applied because the feature
> isn't wanted.  If you want this I can provide it,
> but decide first that you want it, please.
>
> And I'd really prefer to include other fontifying
> Info+ allows, fontifying options and commands, and
> the `Toggle/Cycle' submenu of Info for them.
>
> It's simple to take a look: load info+.el in
> `emacs -Q' and move around.  For most fontifying
> enhancements, try a manual such as Elisp, which
> has lots of Lisp artifacts (backquoted sexps, etc.).

That's fair enough.  So I've tested this, and I find that this
fontification is too noisy and distracting: it highlights every occasion
of "command", "customization", "variable", "Lisp" etc.  It even
highlights "window" in "window system", which is outright confusing...

Any other opinions here?